View a markdown version of this page

ListAvailableModules - AWS RTB Fabric

ListAvailableModules

Lists the modules that you can attach, newest first by createdAt. Results are paginated. Use nextToken to get the next page. Before you list MARKETPLACE modules, or list without subscriptionType, create a gateway.

Request Syntax

GET /available-modules?maxResults=maxResults&nextToken=nextToken&subscriptionType=subscriptionType HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

maxResults

The maximum number of results for each page, from 1 to 10. The default is 10.

Valid Range: Minimum value of 1. Maximum value of 10.

nextToken

If nextToken is returned, there are more results available. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours; using an expired token fails with ValidationException.

subscriptionType

Lists only modules of this type: AWS_BUILT_IN for built-in modules, MARKETPLACE for modules that you subscribe to in AWS Marketplace, and PRIVATE for modules that a vendor shares with your account.

Valid Values: MARKETPLACE | PRIVATE | AWS_BUILT_IN

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "modules": [ { "marketplaceProductId": "string", "moduleArn": "string", "moduleId": "string", "moduleName": "string", "subscriptionStatus": "string", "subscriptionType": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

modules

The modules on this page, newest first.

Type: Array of AvailableModuleSummary objects

nextToken

If nextToken is returned, there are more results available. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours; using an expired token fails with ValidationException.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request could not be completed because you do not have sufficient access to perform this action.

HTTP Status Code: 403

InternalServerException

The request could not be completed because of an internal server error. Try your call again.

HTTP Status Code: 500

ThrottlingException

The request was denied due to request throttling.

HTTP Status Code: 429

ValidationException

The request could not be completed because it fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: